XScreenSaver(1)

NAME
xmatrix - simulates the computer displays from the movie

SYNOPSIS
xmatrix [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay usecs] [-density percentage] [-top | -bottom | -both] [-small | -large] [-trace] [-phone number]

DESCRIPTION
The xmatrix program draws dropping characters similar to the displays in the Wachowski brothers' film, "The Matrix".

OPTIONS
xmatrix accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay usecs
    The delay between steps of the animation, in microseconds: default 10000.

-density percentage
    The approximate percentage of the screen that should be filled with characters at any given time. Default 75%.

-top | -bottom | -both
    If -top is specified, the characters will only drop in from the top of the screen as sliding columns of characters. If -bottom is specified, then instead of sliding columns, the characters will appear as columns that grow downwards and are erased from above. If -both is specified, then a mixture of both styles will be used. The default is -both.

-small | -large
    These options specify the sizes of the characters. The default is -large.

-trace
    Start off with a representation of a phone number being traced. When the number is finally found, display The Matrix as usual.

-phone number
    The phone number to trace, if -trace is specified.

-binary
    Instead of displaying Matrix glyphs, only display ones and zeros.

-hexadecimal
    Instead of displaying Matrix glyphs, display hexadecimal digits.

-dna
    Instead of displaying Matrix glyphs, display genetic code (guanine, adenine, thymine, and cytosine.)

-knock-knock
    Produce some messages at random times.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1999 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 25-Apr-99.